$TITLE South African data set. Standard CGE modeling system, Version 1.00

$ontext
===============================================================================
                                 CONSTRUCTION DETAILS
Version 1.00 Release date: May 02, 2001
Modified by JT
Earlier update:  RJD April 15 2004
Last update: RJDvS May 2005
===============================================================================
$offtext


$ontext

This file includes country-specific model data.
Signals to the user who is constructing his/her own data set:
"!!" -- read carefully; perhaps need to supply information

The file is divided into the following searchable blocks:
1. SET DEFINITIONS
2. SAM
3. ELASTICITIES
4. PHYSICAL FACTOR QUANTITIES
5. COMMODITY VALUE SHARES FOR HOME CONSUMPTION
6. INITIALIZATION OF TAX DATA

$offtext
*==============================================================================
*
*1.            SET DEFINITIONS
*
*==============================================================================
$ontext

Instructions:

!!-1. In this section, the user should DEFINE all sets (by entering the
names of set elements). The only exception (which is signaled when
relevant) is for sets that are not invariably included in the SAM --
their element lists may be left blank. The user should NOT change set
names.


!!-2. The set AC has to include the following elements:
 GOV           government
 ROW           rest of the world
 S-I           savings-investment
 DSTK          stock changes

 TRNCSTDOM     domestic transactions cost account
 TRNCSTEXP     export transactions cost account
 TRNCSTIMP     import transactions cost account

 INSTAX        direct taxes on domestic institutions
 FACTAX        direct factor taxes
 IMPTAX        import taxes
 EXPTAX        export taxes
 VATAX         value-added taxes
 ACTTAX        indirect taxes on activity revenue
 COMTAX        indirect taxes on commodity sales in domestic market
 DUM           dummy

 TOTAL         total


Comments on the above list:

a. The name TOTAL is also compulsory in the SAM.

b. If the SAM includes a government, the rest of the world, savings-
investment and/or stock changes, then the above account names (GOV, ROW,
S-I, DSTK) have to be used for these entities.

c. The elements that are related to transactions costs and taxes as well
as the dummy account are used for reports. In the SAM, any other names
may be used (subject to the restrictions imposed by GAMS syntax).

d. In addition, the tax elements are used for model calibration. Later
in this file, the user will be prompted to supply the names of the SAM
accounts that correspond to these elements (see the parameter TAXPAR).
Taxes have to be paid to special tax accounts that, in their turn, pass on
their total receipts to the account GOV; it is illegal to have taxes paid
directly to GOV.

$offtext

SET
*!!-start entering information here
 AC  global set for model accounts - aggregated microsam accounts
 /
*Activities
  AAGRI         agriculture
  ACOAL         coal
  AGOLD         gold
  AOTHM         other mining
  AFOOD         food processing
  ABEVT         beverages and tobacco
  ATEXT         textiles
  AAPPA         wearing apparel
  ALEAT         leather products
  AFOOT         footwear
  AWOOD         wood products
  APAPR         paper products
  APRNT         printing and publishing
  APETR         petroleum products
  ABCHM         chemical products
  AOCHM         other chemical products
  ARUBB         rubber products
  APLAS         plastic products
  AGLAS         glass products
  ANMMP         non-metallic metal products
  AIRON         basic iron and steel
  ANFRM         non-ferrous metals
  AMETP         metal products
  AMACH         machinery
  AELMA         electrical machinery
  ACOME         communication equipment
  ASCIE         scientific equipment
  AVEHI         vehicles
  ATRNE         transport equipment
  AFURN         furniture
  AOTHI         other industries
  AELEG         electricity and gas
  AWATR         water
  ACONS         constuction
  ATRAD         trade services
  AHCAT         hotels and catering
  ATRAN         transport services
  ACOMM         communication services
  AFINS         financial and real estate services
  ABUSS         business services
  AMAOS         medical and other services
  AOTHP         other producers
  AGOVS         government services
*Commodities
  CAGRI         agriculture
  CCOAL         coal
  CGOLD         gold
  COTHM         other mining
  CFOOD         food processing
  CBEVT         beverages and tobacco
  CTEXT         textiles
  CAPPA         wearing apparel
  CLEAT         leather products
  CFOOT         footwear
  CWOOD         wood products
  CPAPR         paper products
  CPRNT         printing and publishing
  CPETR         petroleum products
  CBCHM         chemical products
  COCHM         other chemical products
  CRUBB         rubber products
  CPLAS         plastic products
  CGLAS         glass products
  CNMMP         non-metallic metal products
  CIRON         basic iron and steel
  CNFRM         non-ferrous metals
  CMETP         metal products
  CMACH         machinery
  CELMA         electrical machinery
  CCOME         communication equipment
  CSCIE         scientific equipment
  CVEHI         vehicles
  CTRNE         transport equipment
  CFURN         furniture
  COTHI         other industries
  CELEG         electricity and gas
  CWATR         water
  CCONS         constuction
  CTRAD         trade services
  CHCAT         hotels and catering
  CTRAN         transport services
  CCOMM         communication services
  CFINS         financial and real estate services
  CBUSS         business services
  CMAOS         medical and other services
  COTHP         other producers
  CGOVS         government services
*Transactions costs
  TCTRM         transactions costs - imports
  TCTRE         transactions costs - exports
  TCTRD         transactions costs - domestic
*Factors
  CAP           capital
  LABLS         labor - low and semi skilled
  LABSK         labor - skilled
  LABHI         labor - highly skilled

*Domestic institutions
  ENTRP        enterprises
  HHD0         household - income decile 00-10
  HHD1         household - income decile 10-20
  HHD2         household - income decile 20-30
  HHD3         household - income decile 30-40
  HHD4         household - income decile 40-50
  HHD5         household - income decile 50-60
  HHD6         household - income decile 60-70
  HHD7         household - income decile 70-80
  HHD8         household - income decile 80-90
  HHD91        household - income decile 90-95
  HHD921       household - income decile 95-96.25
  HHD922       household - income decile 96.25-97.5
  HHD923       household - income decile 97.5-98.75
  HHD924       household - income decile 98.75-100
*Taxes
  IMPTAX       tax - imports (tariffs)
  COMTAX       tax - commodity (sales)
  ACTTAX       tax - activity (producer)
  INSTAX       tax - institution (direct)
*Other accounts
  GOV          government
  S-I          savings-investment
  DSTK         change in inventories
  ROW          rest of the world
*Transaction Costs
  TRNCSTDOM    domestic transactions cost account
  TRNCSTEXP    export transactions cost account
  TRNCSTIMP    import transactions cost account
*Additional mandatory accounts
  FACTAX
  EXPTAX
  VATAX
  DUM          dummy
  TOTAL        total
 /

 A(AC)  activities
 /
  AAGRI         agriculture
  ACOAL         coal
  AGOLD         gold
  AOTHM         other mining
  AFOOD         food processing
  ABEVT         beverages and tobacco
  ATEXT         textiles
  AAPPA         wearing apparel
  ALEAT         leather products
  AFOOT         footwear
  AWOOD         wood products
  APAPR         paper products
  APRNT         printing and publishing
  APETR         petroleum products
  ABCHM         chemical products
  AOCHM         other chemical products
  ARUBB         rubber products
  APLAS         plastic products
  AGLAS         glass products
  ANMMP         non-metallic metal products
  AIRON         basic iron and steel
  ANFRM         non-ferrous metals
  AMETP         metal products
  AMACH         machinery
  AELMA         electrical machinery
  ACOME         communication equipment
  ASCIE         scientific equipment
  AVEHI         vehicles
  ATRNE         transport equipment
  AFURN         furniture
  AOTHI         other industries
  AELEG         electricity and gas
  AWATR         water
  ACONS         constuction
  ATRAD         trade services
  AHCAT         hotels and catering
  ATRAN         transport services
  ACOMM         communication services
  AFINS         financial and real estate services
  ABUSS         business services
  AMAOS         medical and other services
  AOTHP         other producers
  AGOVS         government services
/

*Note: if your SAM does not include elements for this set, leave it empty.
 AAGR(A)  agricultural activities
 /
  AAGRI         agriculture
 /
 ;

 ACES(A) = NO;
 ALEO(A)$(NOT ACES(A)) = YES;
 ANAGR(A) = NOT AAGR(A);

SET

 C(AC)  commodities
 /
  CAGRI         agriculture
  CCOAL         coal
  CGOLD         gold
  COTHM         other mining
  CFOOD         food processing
  CBEVT         beverages and tobacco
  CTEXT         textiles
  CAPPA         wearing apparel
  CLEAT         leather products
  CFOOT         footwear
  CWOOD         wood products
  CPAPR         paper products
  CPRNT         printing and publishing
  CPETR         petroleum products
  CBCHM         chemical products
  COCHM         other chemical products
  CRUBB         rubber products
  CPLAS         plastic products
  CGLAS         glass products
  CNMMP         non-metallic metal products
  CIRON         basic iron and steel
  CNFRM         non-ferrous metals
  CMETP         metal products
  CMACH         machinery
  CELMA         electrical machinery
  CCOME         communication equipment
  CSCIE         scientific equipment
  CVEHI         vehicles
  CTRNE         transport equipment
  CFURN         furniture
  COTHI         other industries
  CELEG         electricity and gas
  CWATR         water
  CCONS         constuction
  CTRAD         trade services
  CHCAT         hotels and catering
  CTRAN         transport services
  CCOMM         communication services
  CFINS         financial and real estate services
  CBUSS         business services
  CMAOS         medical and other services
  COTHP         other producers
  CGOVS         government services
 /

*Note: if your SAM does not include elements for this set, leave it empty.
 CAGR(C)    agricultural commodities
 /
  CAGRI         agriculture
 /
;
 CNAGR(C)      = NOT CAGR(C);

 SETS
*Note: Each of these three sets identify the element in the SAM that receives
*payments from commodity accounts for transactions services (for domestic
*sales, exports, and imports, respectively).
*If your SAM does not include these payments, leave the sets empty.

 CTD(AC)      domestic transactions cost account / TCTRD /
 CTE(AC)      export transactions cost account   / TCTRE /
 CTM(AC)      import transactions cost account   / TCTRM /

 F(AC)  factors
 /
  CAP           capital
  LABLS         labor - low and semi skilled
  LABSK         labor - skilled
  LABHI         labor - highly skilled
 /

*Note: in the unlikely event that your SAM does not include laborfactors,
*leave the following set empty.

 FLAB(F) labour
 /
  LABLS         labor - low and semi skilled
  LABSK         labor - skilled
  LABHI         labor - highly skilled
 /

*Note: if your SAM does not include land factors, leave the following set empty.

 FLND(F)   land
 /

 /

*Note: in the unlikely event that your SAM does not include capital factors,
*leave the following set empty.

 FCAP(F) capital
 /
  CAP           capital
 /

  INS(AC)  institutions
 /
  ENTRP        enterprises
  HHD0         household - income decile 00-10
  HHD1         household - income decile 10-20
  HHD2         household - income decile 20-30
  HHD3         household - income decile 30-40
  HHD4         household - income decile 40-50
  HHD5         household - income decile 50-60
  HHD6         household - income decile 60-70
  HHD7         household - income decile 70-80
  HHD8         household - income decile 80-90
  HHD91        household - income decile 90-95
  HHD921       household - income decile 95-96.25
  HHD922       household - income decile 96.25-97.5
  HHD923       household - income decile 97.5-98.75
  HHD924       household - income decile 98.75-100
  GOV          government
  ROW          rest of world
 /

 INSD(INS)  domestic institutions
 /
  ENTRP        enterprises
  HHD0         household - income decile 00-10
  HHD1         household - income decile 10-20
  HHD2         household - income decile 20-30
  HHD3         household - income decile 30-40
  HHD4         household - income decile 40-50
  HHD5         household - income decile 50-60
  HHD6         household - income decile 60-70
  HHD7         household - income decile 70-80
  HHD8         household - income decile 80-90
  HHD91        household - income decile 90-95
  HHD921       household - income decile 95-96.25
  HHD922       household - income decile 96.25-97.5
  HHD923       household - income decile 97.5-98.75
  HHD924       household - income decile 98.75-100
  GOV          government
 /

 INSDNG(INSD) domestic non-government institutions
 /
  ENTRP        enterprises
  HHD0         household - income decile 00-10
  HHD1         household - income decile 10-20
  HHD2         household - income decile 20-30
  HHD3         household - income decile 30-40
  HHD4         household - income decile 40-50
  HHD5         household - income decile 50-60
  HHD6         household - income decile 60-70
  HHD7         household - income decile 70-80
  HHD8         household - income decile 80-90
  HHD91        household - income decile 90-95
  HHD921       household - income decile 95-96.25
  HHD922       household - income decile 96.25-97.5
  HHD923       household - income decile 97.5-98.75
  HHD924       household - income decile 98.75-100
 /

*Note: if your SAM does not include elements for this set, leave it empty.

 EN(INSDNG)  enterprises
 /
  ENTRP        enterprises
 /

 H(INSDNG)  households
 /
  HHD0         household - income decile 00-10
  HHD1         household - income decile 10-20
  HHD2         household - income decile 20-30
  HHD3         household - income decile 30-40
  HHD4         household - income decile 40-50
  HHD5         household - income decile 50-60
  HHD6         household - income decile 60-70
  HHD7         household - income decile 70-80
  HHD8         household - income decile 80-90
  HHD91        household - income decile 90-95
  HHD921       household - income decile 95-96.25
  HHD922       household - income decile 96.25-97.5
  HHD923       household - income decile 97.5-98.75
  HHD924       household - income decile 98.75-100
 /

;

 ACNT(AC) = YES; ACNT('TOTAL') = NO;

DISPLAY
 ACES, ALEO, AAGR, ANAGR, CAGR, CNAGR
 ;
*==============================================================================
*
*2.     SAM
*
*==============================================================================

$ontext

!!-In this section, a SAM is included and balanced (if needed).

The SAM can be included in two ways:
1. It can be put directly in the file in the space below (as in this file).
A maximum of 6 columns is feasible; or
2. It can be imported with an import program such as XLLINK or SSLINK.

$offtext
*++RJD Use this to run the 2003 data
*$LIBINCLUDE XLIMPORT SAM c:\hsrcmodel\common\SASAMs.XLS SA2003
$LIBINCLUDE XLIMPORT SAM SASAM03full.XLS SA2003
*++RJD Use this to run the 2000 data
*$LIBINCLUDE XLIMPORT SAM SASAMs.XLS SA2000

*!! : The user transfers the data of the above table (using the selected
*parameter name) in the SAM parameter.
*Also, this is the place to scale the SAM.

 SAM(AC,ACP) = SAM(AC,ACP) / 1000 ;

*Adjusting South African SAM to reflect Billions of Rand

*If account balances exceed a critical maximum value, SAMBAL.INC will balance
*the SAM exactly.
*$ontext
$INCLUDE SAMBAL.INC

*Account totals are recomputed. Check for SAM balance.

 SAM('TOTAL',AC) = 0;
 SAM(AC,'TOTAL') = 0;

 SAM('TOTAL',AC) = SUM(ACNT, SAM(ACNT,AC));
 SAM(AC,'TOTAL') = SUM(ACNT, SAM(AC,ACNT));

PARAMETER
 BALCHK(AC) column minus row total for SAM after running SAMBAL;

 BALCHK(AC)      = SAM('TOTAL',AC) - SAM(AC,'TOTAL');

 DISPLAY "After running SAMBAL", BALCHK;
 DISPLAY "After running SAMBAL SAM4", SAM;

*$offtext
*Defining CINV using SAM data with potential user input.

$ontext
*!!
In the model, there are two ways of separating stock changes from fixed
investment:

a. If the SAM includes the account S-I (in its column making payments to
commodities for fixed investments and an aggregate payment to DSTK for
stock changes) and DSTK (in its row paid by S-I, in its column making
payments, positive or negative, to commodities, representing stock
change values), then no user action is needed -- the set CINV will by
default include all elements in C that receive payments from S-I.

b. If, the account DSTK does not appear in the SAM, then the set CINV
should only include the commodities that receive payments from S-I for
fixed investment; commodities receiving payments for stock changes
should be excluded. The default is that all commodities receiving
payments are included; the user may exclude selected commodities from
CINV. (An example of how to do this is provided just below.)

$offtext

*All commodities receiving payments from S-I are included in the set CINV.
*Note: Negative payments are for stock changes and should be treated as such.

 CINV(C)$SAM(C,'S-I') = YES;

*!!- User option to exclude selected commodities from the set CINV.
*Only relevant for SAMs without the account DSTK.
*Example:
*If the set C includes a commodity called CWHEAT and payments in the cell
*SAM('CWHEAT','S-I') are for stock changes, the user should include the
*following line in the program:
* CINV('CWHEAT')  = NO;

DISPLAY CINV;

*####################END SAM SECTION ##########################################

*==============================================================================
*
*3.                ELASTICITIES
*
*==============================================================================
$ontext

!!- In this section, the user inputs elasticities for trade, production,
and household consumption. If the user does not supply all required
data, missing data will be generated in STDMOD.GMS using simple
assumptions.

$offtext

*Trade elasticities------------------------------------------------------------

*SIGMAQ is the elasticity of substitution between imports and domestic
*output in domestic demand.
*SIGMAT is the elasticity of transformation for domestic marketed output
*between exports and domestic supplies.

SET
 TRDELAS  trade elasticities
 /
 SIGMAQ  Armington elasticity
 SIGMAT  CET elasticity
 /

TABLE TRADELAS(AC,TRDELAS)  Armington and CET elasticities by commodity
                SIGMAQ      SIGMAT
CAGRI            1.60        3.00
CCOAL            1.03        3.00
*RJDvS May05 Changed because of volatility of gold exports  created by
*extreme sensitivity to changes in the PE/PDS ratio.
CGOLD            0.50        0.01
*CGOLD            0.50        3.00
COTHM            1.03        3.00
CFOOD            0.74        3.00
CBEVT            2.33        3.00
CTEXT            2.81        3.00
CAPPA            2.48        3.00
CLEAT            4.41        3.00
CFOOT            6.80        3.00
CWOOD            0.69        3.00
CPAPR            3.67        3.00
CPRNT            3.19        3.00
CPETR            1.53        3.00
CBCHM            1.53        3.00
COCHM            1.53        3.00
CRUBB            1.50        3.00
CPLAS            1.50        3.00
CGLAS            0.57        3.00
CNMMP            0.57        3.00
CIRON            0.84        3.00
CNFRM            0.84        3.00
CMETP            1.77        3.00
CMACH            0.49        3.00
CELMA            0.75        3.00
CCOME            0.75        3.00
CSCIE            0.95        3.00
CVEHI            4.26        3.00
CTRNE            4.26        3.00
CFURN            2.30        3.00
COTHI            0.95        3.00
CELEG            0.50        3.00
CWATR            0.50        3.00
CCONS            0.50        3.00
CTRAD            0.50        3.00
CHCAT            0.50        3.00
CTRAN            1.78        3.00
CCOMM            0.50        3.00
CFINS            0.50        3.00
CBUSS            0.50        3.00
CMAOS            0.50        3.00
COTHP            0.50        3.00
CGOVS            0.50        3.00
;

*Production elasticities-------------------------------------------------------

PARAMETER
       PRODELAS(A)   Elas of substit bt. factors - bottom of technology nest
       PRODELAS2(A)  Elas of substit bt. agg fac & intermed - top of tech nest
;

*Source: IDC GE Model

TABLE ELASPAR(A,*)       Elasticity parameters for production nests
               PRODELAS    PRODELAS2
AAGRI            0.50        0.60
ACOAL            0.15        0.10
AGOLD            0.15        0.10
AOTHM            0.15        0.10
AFOOD            0.10        0.60
ABEVT            0.23        0.60
ATEXT            0.10        0.60
AAPPA            0.50        0.60
ALEAT            0.50        0.60
AFOOT            0.29        0.60
AWOOD            0.14        0.60
APAPR            0.60        0.60
APRNT            0.34        0.60
APETR            0.44        0.60
ABCHM            0.50        0.60
AOCHM            0.50        0.60
ARUBB            0.44        0.60
APLAS            0.44        0.60
AGLAS            0.35        0.60
ANMMP            0.61        0.60
AIRON            0.09        0.60
ANFRM            0.09        0.60
AMETP            0.50        0.60
AMACH            0.10        0.60
AELMA            0.50        0.60
ACOME            0.50        0.60
ASCIE            0.50        0.60
AVEHI            0.19        0.60
ATRNE            0.23        0.60
AFURN            0.21        0.60
AOTHI            0.50        0.60
AELEG            0.50        0.60
AWATR            0.50        0.60
ACONS            0.50        0.60
ATRAD            0.50        0.60
AHCAT            0.50        0.60
ATRAN            0.50        0.60
ACOMM            0.50        0.60
AFINS            0.50        0.60
ABUSS            0.50        0.60
AMAOS            0.50        0.60
AOTHP            0.50        0.60
AGOVS            0.50        0.60
;

PRODELAS(A)  = ELASPAR(A,'PRODELAS');
PRODELAS2(A) = ELASPAR(A,'PRODELAS2');

PARAMETER ELASAC(C) output aggregation elasticity for commodity C;
ELASAC(C)    = 6;

*Household population data-----------------------------------------------------

*Note: population data are not needed to run the model.
*However, they may be useful for verification of household
*model parameters and for report parameters.


PARAMETER
*Source: ASSA Model (for total population)
*Source: Leibrant et al (2000) (for income decile distribution)
*Total is 44014910

 POP(H) Base-year population for household h (units)
 /
  HHD0        5721937
  HHD1        6382162
  HHD2        5501864
  HHD3        5281790
  HHD4        4401491
  HHD5        4181416
  HHD6        3741267
  HHD7        3081044
  HHD8        3081044
  HHD91       1320447
  HHD921       330112
  HHD922       330112
  HHD923       330112
  HHD924       330112
 /

*Household consumption elasticities--------------------------------------------
*Note: The Frisch parameter is included in this section.

*Source: Case (2000)
TABLE LESELAS1(C,H)   Exp'e elasticity of market dem for com c by hhd h
         HHD0    HHD1    HHD2    HHD3    HHD4    HHD5    HHD6
CAGRI    0.66    0.66    0.66    0.66    0.66    0.66    0.66
CCOAL    0.34    0.34    0.34    0.34    0.34    0.34    0.34
CGOLD    1.00    1.00    1.00    1.00    1.00    1.00    1.00
COTHM    1.00    1.00    1.00    1.00    1.00    1.00    1.00
CFOOD    0.66    0.66    0.66    0.66    0.66    0.66    0.66
CBEVT    0.67    0.67    0.67    0.67    0.67    0.67    0.67
CTEXT    1.04    1.04    1.04    1.04    1.04    1.04    1.04
CAPPA    1.04    1.04    1.04    1.04    1.04    1.04    1.04
CLEAT    1.04    1.04    1.04    1.04    1.04    1.04    1.04
CFOOT    1.04    1.04    1.04    1.04    1.04    1.04    1.04
CWOOD    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CPAPR    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CPRNT    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CPETR    0.34    0.34    0.34    0.34    0.34    0.34    0.34
CBCHM    0.98    0.98    0.98    0.98    0.98    0.98    0.98
COCHM    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CRUBB    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CPLAS    1.28    1.28    1.28    1.28    1.28    1.28    1.28
CGLAS    1.28    1.28    1.28    1.28    1.28    1.28    1.28
CNMMP    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CIRON    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CNFRM    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CMETP    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CMACH    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CELMA    1.28    1.28    1.28    1.28    1.28    1.28    1.28
CCOME    1.28    1.28    1.28    1.28    1.28    1.28    1.28
CSCIE    1.28    1.28    1.28    1.28    1.28    1.28    1.28
CVEHI    1.43    1.43    1.43    1.43    1.43    1.43    1.43
CTRNE    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CFURN    1.28    1.28    1.28    1.28    1.28    1.28    1.28
COTHI    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CELEG    0.34    0.34    0.34    0.34    0.34    0.34    0.34
CWATR    1.61    1.61    1.61    1.61    1.61    1.61    1.61
CCONS    1.61    1.61    1.61    1.61    1.61    1.61    1.61
CTRAD    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CHCAT    1.97    1.97    1.97    1.97    1.97    1.97    1.97
CTRAN    1.43    1.43    1.43    1.43    1.43    1.43    1.43
CCOMM    1.28    1.28    1.28    1.28    1.28    1.28    1.28
CFINS    1.34    1.34    1.34    1.34    1.34    1.34    1.34
CBUSS    1.61    1.61    1.61    1.61    1.61    1.61    1.61
CMAOS    1.47    1.47    1.47    1.47    1.47    1.47    1.47
COTHP    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CGOVS    1.46    1.46    1.46    1.46    1.46    1.46    1.46

+        HHD7    HHD8    HHD91  HHD921  HHD922  HHD923  HHD924
CAGRI    0.73    0.73    0.73    0.73    0.73    0.73    0.73
CCOAL    0.20    0.20    0.20    0.20    0.20    0.20    0.20
CGOLD    1.00    1.00    1.00    1.00    1.00    1.00    1.00
COTHM    1.00    1.00    1.00    1.00    1.00    1.00    1.00
CFOOD    0.73    0.73    0.73    0.73    0.73    0.73    0.73
CBEVT    0.62    0.62    0.62    0.62    0.62    0.62    0.62
CTEXT    0.86    0.86    0.86    0.86    0.86    0.86    0.86
CAPPA    0.86    0.86    0.86    0.86    0.86    0.86    0.86
CLEAT    0.86    0.86    0.86    0.86    0.86    0.86    0.86
CFOOT    0.86    0.86    0.86    0.86    0.86    0.86    0.86
CWOOD    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CPAPR    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CPRNT    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CPETR    0.20    0.20    0.20    0.20    0.20    0.20    0.20
CBCHM    0.99    0.99    0.99    0.99    0.99    0.99    0.99
COCHM    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CRUBB    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CPLAS    0.93    0.93    0.93    0.93    0.93    0.93    0.93
CGLAS    0.93    0.93    0.93    0.93    0.93    0.93    0.93
CNMMP    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CIRON    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CNFRM    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CMETP    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CMACH    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CELMA    0.93    0.93    0.93    0.93    0.93    0.93    0.93
CCOME    0.93    0.93    0.93    0.93    0.93    0.93    0.93
CSCIE    0.93    0.93    0.93    0.93    0.93    0.93    0.93
CVEHI    1.03    1.03    1.03    1.03    1.03    1.03    1.03
CTRNE    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CFURN    0.93    0.93    0.93    0.93    0.93    0.93    0.93
COTHI    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CELEG    0.20    0.20    0.20    0.20    0.20    0.20    0.20
CWATR    1.10    1.10    1.10    1.10    1.10    1.10    1.10
CCONS    1.10    1.10    1.10    1.10    1.10    1.10    1.10
CTRAD    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CHCAT    0.98    0.98    0.98    0.98    0.98    0.98    0.98
CTRAN    1.03    1.03    1.03    1.03    1.03    1.03    1.03
CCOMM    0.93    0.93    0.93    0.93    0.93    0.93    0.93
CFINS    1.34    1.34    1.34    1.34    1.34    1.34    1.34
CBUSS    1.10    1.10    1.10    1.10    1.10    1.10    1.10
CMAOS    1.31    1.33    1.34    1.37    1.36    1.37    1.38
COTHP    0.99    0.99    0.99    0.99    0.99    0.99    0.99
CGOVS    1.50    1.50    1.50    1.50    1.50    1.50    1.50
;

PARAMETERS
*Source: assumed
 FRISCH(H)        Frisch parameter for household LES demand
 /
   HHD0       -2.8
   HHD1       -2.6
   HHD2       -2.4
   HHD3       -2.2
   HHD4       -2.0
   HHD5       -1.8
   HHD6       -1.6
   HHD7       -1.4
   HHD8       -1.2
   HHD91      -1.0
   HHD921     -1.0
   HHD922     -1.0
   HHD923     -1.0
   HHD924     -1.0
 /

 LESELAS2(A,C,H)  Exp'e elasticity of home dem by com - act - hhd
;

LESELAS2(A,C,H)     = 0;

*==============================================================================
*
*4.             PHYSICAL FACTOR QUANTITIES
*
*==============================================================================

$ontext

!!: If you have data on physical factor DEMANDS, add them in this
section. If so, there is no need to include supply quantities --
the model code in the core model will not use the supply information.

If data are provided for SUPPLY quantities (but not for demand), the
model code in STDMOD.GMS will define disaggregated activity demand
quantities for each factor as:
(total factor supply) TIMES (activity share in total activity payments to
the factor).
This amounts to assuming that, for each factor, wages are uniform across
activities. The data on factor payments are from the SAM.

If you don't have any data on physical factor quantities, leave this
section blank.

$offtext

*Source: Thurlow's calculations Supporting Data.xls Sheets Capital and Employ3
*using Quantech and SASID data (incl. informal sector as per Quantech)

PARAMETER  QFSBASE(F) total physical factor supplies
*Updated to 2003 by DENvS using SASID, Apr05

/
   CAP        2565913
   LABLS      3536657
   LABSK      3416261
   LABHI      1423727
/;

QFSBASE(F) = QFSBASE(F)/1000;

TABLE  QFBASETMP(A,F)  quantities of labour supplied by activity and skill
$ontext
*Adjusted data inserted by RJD
*FROM FILE D:\sadynmod\spreadsheets\SASID EMPLOYMENT sheet adj2000
*++RJD These figures need to be up-dated

                  LABLS        LABSK        LABHI
AAGRI             731833        35471        15931
ACOAL              33585        14444         3322
AGOLD             188009        22386         6035
AOTHM             115053        26713         6724
AFOOD              84587        61980        10778
ABEVT              16089        10335         4113
ATEXT              43874         8233         2974
AAPPA             112272        18658         5838
ALEAT               8683          668          324
AFOOT              13820         1021          476
AWOOD              50941        26905         2562
APAPR              27370        12896         3658
APRNT              14833        34747        11209
APETR               6037         5181         3011
ABCHM              15738         9186         4167
AOCHM              31842        28858        12925
ARUBB               9317         3144         1331
APLAS              39134        13206         5592
AGLAS               5033         1289          517
ANMMP              26267         6728         2698
AIRON              20713        11900         4337
ANFRM               6648         3820         1392
AMETP              65881        28973         8060
AMACH              32140        25836         9349
AELMA              50265        18963        14853
ACOME               9580         3614         2831
ASCIE               3575         1349         1056
AVEHI              39471        24499        13278
ATRNE               4624         2870         1556
AFURN              31018        11039         2284
AOTHI               9015         8714         1617
AELEG              24801        22658        16936
AWATR               3177         2902         2169
ACONS             165557        44736        12126
ATRAD             167769       566864       103146
AHCAT              45160       113120        15428
ATRAN              57483       119194        16168
ACOMM              23408        47608         9300
AFINS               7117       136755        52683
ABUSS              52133       186879        49488
AMAOS              52266        62927        76115
AOTHP             910448       274320        39708
AGOVS             239510       656543       559497
*$offtext

;
$offtext
*Updated to 2003 by DENvS using SASID, Apr05

               LABLS        LABSK        LABHI          CAP
AAGRI         770397        40305        20098        95609
ACOAL          35252        15357         3600        17997
AGOLD         170824        18326         5322        47677
AOTHM         137625        34010         8327       140038
AFOOD          81022        60094        10491        24445
ABEVT          10063         6461         2615        16017
ATEXT          44146         8739         2961         4807
AAPPA          94844        15106         4982         1649
ALEAT           7037         1572          307          333
AFOOT          16128         1132          525          336
AWOOD          27967        17307         1538         3297
APAPR          32349        15803         4323        11620
APRNT          12443        29571         9592         3347
APETR           6764         6499         3835       100211
ABCHM          15831         9412         4230        36191
AOCHM          26422        25246        10889        12498
ARUBB          15195         5074         2130         2272
APLAS          30904        10319         4332         2531
AGLAS           4106         1106          423         1994
ANMMP          38411        10350         3962        14587
AIRON          17365        10856         4113        33627
ANFRM           7173         4484         1699        24262
AMETP          70732        31515         9030         8107
AMACH          43129        34157        12992         6083
AELMA          20182         7647         6260         3189
ACOME           5003         1896         1552         1025
ASCIE           8603         3259         2668          603
AVEHI          39462        24479        13945        19104
ATRNE           8576         5320         3031         2819
AFURN          26791         9661         2021          951
AOTHI          28036        25258         4812         3692
AELEG          14341        14278        10654       103488
AWATR           1837         1829         1365        50150
ACONS         256180        66940        19527        15246
ATRAD         221501       756728       139193       118142
AHCAT          41976       110801        15016        12853
ATRAN          38565        85349        11685       390442
ACOMM          20651        40204         9235        51000
AFINS          13432       237995        99142       216446
ABUSS         128636       527120       166170       366547
AMAOS           6832       166654       157728        38940
AOTHP         789175       238339        19739         4256
AGOVS         150749       679706       607671       557486
;

PARAMETER  QFBASE(F,A)    demand for factor F by activity A in data;
   QFBASE(F,A)    = QFBASETMP(A,F);
   QFBASE(F,A)    = QFBASE(F,A)/1000 ;
   QFSBASE(FLAB)  = SUM(A, QFBASE(FLAB,A));
   QFSBASE('CAP') = SUM(A, QFBASE('CAP',A)) ;


*Labor supply elasticities-----------------------------------------------------
*RJD This is only for use in the dynamic model
*Add factors with flexible labor supply to the set FLS
*Set factor supply elasticity
SET FLS(F) factors with flexible labor supply
 /
*  LABSK
*  LABHI
 /;

PARAMETER etals(F) elasticity of labor supply;

 etals(F)        = 0.5;
 etals('LABLS')  = 0.5;
 etals('LABSK')  = 0.5;
 etals('LABHI')  = 0.5;
 etals('CAP')    = 0.5;

*==============================================================================
*
*5.        COMMODITY VALUE SHARES FOR HOME CONSUMPTION
*
*==============================================================================

PARAMETER
 shrhome(A,C,H) value share for comm'y c in home cons of hhd h from act a;

shrhome(A,C,H) = 0;

$ontext

!!-User input is needed only if the SAM includes household home
consumption, reflected in payments from households to activities, and
if these activities produce multiple outputs.

If this condition is met, the user should define the parameter SHRHOME,
using extraneous data on commodity value shares which, for each
household-activity combination, should sum to unity.

In the absence of user input, the program will compute these value
shares in the file STDMOD.GMS, using the OUTPUT value shares for
each commodity. (For single-output activities, the computed shares
will quite correctly be at unity.)

Note that elasticities are needed for the parameter LESELAS2(A,C,H)
(above in the elasticity section) for the identified combinations

$offtext

PARAMETER
 shrhome(A,C,H) value share for comm'y c in home cons of hhd h from act a
 ;

*!!: If needed, manually define shrhome.
 shrhome(A,C,H) = 0;


*==============================================================================
*
*6.           INITIALIZATION OF TAX DATA
*
*==============================================================================
$ontext

!!: In this section, the user HAS TO supply the names of the tax accounts
in the SAM into the definition of TAXPAR. In STDMOD.GMS, TAXPAR is used
for model calibration. A proper definition of TAXPAR is necessary for
the functioning of the model if the SAM includes taxes.

$offtext

SET
 TX  taxes in the model
 /
 INSTAX         direct taxes on domestic institutions
 FACTAX         direct factor taxes
 IMPTAX         import taxes
 EXPTAX         export taxes
 VATAX          value-added taxes
 ACTTAX         taxes on activity revenue
 COMTAX         taxes on commodity sales in domestic market
 /
;

PARAMETER
 TAXPAR(TX,AC)   payment by account ac to tax account tx
 ;

ALIAS(TX,TXP);

*!!: Starting from here, the user should supply names of matching tax
*accounts in the SAM on the right-hand side.

*direct taxes on domestic institutions
 TAXPAR('INSTAX',INSD)  = SAM('INSTAX',INSD);

*direct factor taxes
 TAXPAR('FACTAX',F)     = 0;

*import taxes
 TAXPAR('IMPTAX',C)     = SAM('IMPTAX',C);

*export taxes
 TAXPAR('EXPTAX',C)     = 0;

*value-added taxes
 TAXPAR('VATAX',A)      = 0 ;

*taxes on activity revenue
 TAXPAR('ACTTAX',A)     = SAM('ACTTAX',A);

*taxes on commodity sales in domestic market
 TAXPAR('COMTAX',C)     = SAM('COMTAX',C);

*#########################   E N D   O F   F I L E   ##########################