$TITLE South African data set. Standard CGE modeling system, Version 1.00

$ontext
===============================================================================
                                 CONSTRUCTION DETAILS
Version 1.00 Release date: May 02, 2001
Modified by JT
Earlier update:  RJD April 15 2004
Last update: RJDvS May 2005
===============================================================================
$offtext


$ontext

This file includes country-specific model data.
Signals to the user who is constructing his/her own data set:
"!!" -- read carefully; perhaps need to supply information

The file is divided into the following searchable blocks:
1. SET DEFINITIONS
2. SAM
3. ELASTICITIES
4. PHYSICAL FACTOR QUANTITIES
5. COMMODITY VALUE SHARES FOR HOME CONSUMPTION
6. INITIALIZATION OF TAX DATA

$offtext
*==============================================================================
*
*1.            SET DEFINITIONS
*
*==============================================================================
$ontext

Instructions:

!!-1. In this section, the user should DEFINE all sets (by entering the
names of set elements). The only exception (which is signaled when
relevant) is for sets that are not invariably included in the SAM --
their element lists may be left blank. The user should NOT change set
names.


!!-2. The set AC has to include the following elements:
 GOV           government
 ROW           rest of the world
 S-I           savings-investment
 DSTK          stock changes

 TRNCSTDOM     domestic transactions cost account
 TRNCSTEXP     export transactions cost account
 TRNCSTIMP     import transactions cost account

 INSTAX        direct taxes on domestic institutions
 FACTAX        direct factor taxes
 IMPTAX        import taxes
 EXPTAX        export taxes
 VATAX         value-added taxes
 ACTTAX        indirect taxes on activity revenue
 COMTAX        indirect taxes on commodity sales in domestic market
 DUM           dummy

 TOTAL         total


Comments on the above list:

a. The name TOTAL is also compulsory in the SAM.

b. If the SAM includes a government, the rest of the world, savings-
investment and/or stock changes, then the above account names (GOV, ROW,
S-I, DSTK) have to be used for these entities.

c. The elements that are related to transactions costs and taxes as well
as the dummy account are used for reports. In the SAM, any other names
may be used (subject to the restrictions imposed by GAMS syntax).

d. In addition, the tax elements are used for model calibration. Later
in this file, the user will be prompted to supply the names of the SAM
accounts that correspond to these elements (see the parameter TAXPAR).
Taxes have to be paid to special tax accounts that, in their turn, pass on
their total receipts to the account GOV; it is illegal to have taxes paid
directly to GOV.

$offtext

SET
*!!-start entering information here
 AC  global set for model accounts - aggregated microsam accounts
 /
*Activities
AAGRI    agriculture
AMINE    mining
ACONG    consumer goods
AOTHL    other light manufacturing
APCHM    petroleum and chemicals
AVTRR    vehicles
AMETL    metals
ACAPG    capital goods
AUTIL    utilities
ACONS    construction
ARTHT    trade hotels and catering
ATPCM    transport and communications
AFBSS    financial and business services
AOTHS    other services
AGOVS    government
*Commodities
CAGRI    agriculture
CMINE    mining
CCONG    consumer goods
COTHL    other light manufacturing
CPCHM    petroleum and chemicals
CVTRR    vehicles
CMETL    metals
CCAPG    capital goods
CUTIL    utilities
CCONS    construction
CRTHT    trade hotels and catering
CTPCM    transport and communications
CFBSS    financial and business services
COTHS    other services
CGOVS    government
*Transactions costs
TMARG    margin goods
*Factors
CAP      capital
LABLS    low skilled labour
LABSK    skilled labour
*Domestic institutions
ENTRP    enterprise
HPOOR    poor households
HRICH    rich households
*Taxes
IMPTAX   tax - imports (tariffs)
COMTAX   tax - commodity (sales)
ACTTAX   tax - activity (producer)
INSTAX   tax - institution (direct)
*Other accounts
GOV      government
S-I      savings-investment
DSTK     change in inventories
ROW      rest of the world

*Other accounts
*Transaction Costs
  TRNCSTDOM    domestic transactions cost account
  TRNCSTEXP    export transactions cost account
  TRNCSTIMP    import transactions cost account
*Additional mandatory accounts
  FACTAX
  EXPTAX
  VATAX
  DUM          dummy
  TOTAL        total
 /

 A(AC)  activities
 /
*Activities
AAGRI    agriculture
AMINE    mining
ACONG    consumer goods
AOTHL    other light manufacturing
APCHM    petroleum and chemicals
AVTRR    vehicles
AMETL    metals
ACAPG    capital goods
AUTIL    utilities
ACONS    construction
ARTHT    trade hotels and catering
ATPCM    transport and communications
AFBSS    financial and business services
AOTHS    other services
AGOVS    government
/

*Note: if your SAM does not include elements for this set, leave it empty.
 AAGR(A)  agricultural activities
 /
  AAGRI         agriculture
 /
 ;

 ACES(A) = NO;
 ALEO(A)$(NOT ACES(A)) = YES;
 ANAGR(A) = NOT AAGR(A);

SET

 C(AC)  commodities
 /
CAGRI    agriculture
CMINE    mining
CCONG    consumer goods
COTHL    other light manufacturing
CPCHM    petroleum and chemicals
CVTRR    vehicles
CMETL    metals
CCAPG    capital goods
CUTIL    utilities
CCONS    construction
CRTHT    trade hotels and catering
CTPCM    transport and communications
CFBSS    financial and business services
COTHS    other services
CGOVS    government
 /

*Note: if your SAM does not include elements for this set, leave it empty.
 CAGR(C)    agricultural commodities
 /
  CAGRI         agriculture
 /
;
 CNAGR(C)      = NOT CAGR(C);

 SETS
*Note: Each of these three sets identify the element in the SAM that receives
*payments from commodity accounts for transactions services (for domestic
*sales, exports, and imports, respectively).
*If your SAM does not include these payments, leave the sets empty.

 CTD(AC)      domestic transactions cost account / TMARG /
 CTE(AC)      export transactions cost account   /  /
 CTM(AC)      import transactions cost account   / /

 F(AC)  factors
 /
CAP      capital
LABLS    low skilled labour
LABSK    skilled labour
 /

*Note: in the unlikely event that your SAM does not include laborfactors,
*leave the following set empty.

 FLAB(F) labour
 /
LABLS    low skilled labour
LABSK    skilled labour
 /

*Note: if your SAM does not include land factors, leave the following set empty.

 FLND(F)   land
 /

 /

*Note: in the unlikely event that your SAM does not include capital factors,
*leave the following set empty.

 FCAP(F) capital
 /
CAP      capital
 /

  INS(AC)  institutions
 /
ENTRP    enterprise
HPOOR    poor households
HRICH    rich households
GOV      government
ROW      rest of the world

 /

 INSD(INS)  domestic institutions
 /
ENTRP    enterprise
HPOOR    poor households
HRICH    rich households
GOV      government
 /

 INSDNG(INSD) domestic non-government institutions
 /
ENTRP    enterprise
HPOOR    poor households
HRICH    rich households
 /

*Note: if your SAM does not include elements for this set, leave it empty.

 EN(INSDNG)  enterprises
 /
ENTRP    enterprise
 /

 H(INSDNG)  households
 /
HPOOR    poor households
HRICH    rich households
 /

;

 ACNT(AC) = YES; ACNT('TOTAL') = NO;

DISPLAY
 ACES, ALEO, AAGR, ANAGR, CAGR, CNAGR
 ;
*==============================================================================
*
*2.     SAM
*
*==============================================================================

$ontext

!!-In this section, a SAM is included and balanced (if needed).

The SAM can be included in two ways:
1. It can be put directly in the file in the space below (as in this file).
A maximum of 6 columns is feasible; or
2. It can be imported with an import program such as XLLINK or SSLINK.
$offtext
*++RJD Use this to run the reduced 2003 data
$LIBINCLUDE XLIMPORT SAM SASAM03proj.XLS SAM03


*!! : The user transfers the data of the above table (using the selected
*parameter name) in the SAM parameter.
*Also, this is the place to scale the SAM.

 SAM(AC,ACP) = SAM(AC,ACP) / 1000 ;

*Adjusting South African SAM to reflect Billions of Rand

*If account balances exceed a critical maximum value, SAMBAL.INC will balance
*the SAM exactly.
*$ontext
$INCLUDE SAMBAL.INC

*Account totals are recomputed. Check for SAM balance.

 SAM('TOTAL',AC) = 0;
 SAM(AC,'TOTAL') = 0;

 SAM('TOTAL',AC) = SUM(ACNT, SAM(ACNT,AC));
 SAM(AC,'TOTAL') = SUM(ACNT, SAM(AC,ACNT));

PARAMETER
 BALCHK(AC) column minus row total for SAM after running SAMBAL;

 BALCHK(AC)      = SAM('TOTAL',AC) - SAM(AC,'TOTAL');

 DISPLAY "After running SAMBAL", BALCHK;
 DISPLAY "After running SAMBAL SAM4", SAM;

*$offtext
*Defining CINV using SAM data with potential user input.

$ontext
*!!
In the model, there are two ways of separating stock changes from fixed
investment:

a. If the SAM includes the account S-I (in its column making payments to
commodities for fixed investments and an aggregate payment to DSTK for
stock changes) and DSTK (in its row paid by S-I, in its column making
payments, positive or negative, to commodities, representing stock
change values), then no user action is needed -- the set CINV will by
default include all elements in C that receive payments from S-I.

b. If, the account DSTK does not appear in the SAM, then the set CINV
should only include the commodities that receive payments from S-I for
fixed investment; commodities receiving payments for stock changes
should be excluded. The default is that all commodities receiving
payments are included; the user may exclude selected commodities from
CINV. (An example of how to do this is provided just below.)

$offtext

*All commodities receiving payments from S-I are included in the set CINV.
*Note: Negative payments are for stock changes and should be treated as such.

 CINV(C)$SAM(C,'S-I') = YES;

*!!- User option to exclude selected commodities from the set CINV.
*Only relevant for SAMs without the account DSTK.
*Example:
*If the set C includes a commodity called CWHEAT and payments in the cell
*SAM('CWHEAT','S-I') are for stock changes, the user should include the
*following line in the program:
* CINV('CWHEAT')  = NO;

 DISPLAY CINV;

*####################END SAM SECTION ##########################################

*==============================================================================
*
*3.                ELASTICITIES
*
*==============================================================================
$ontext

!!- In this section, the user inputs elasticities for trade, production,
and household consumption. If the user does not supply all required
data, missing data will be generated in STDMOD.GMS using simple
assumptions.

$offtext

*Trade elasticities------------------------------------------------------------

*SIGMAQ is the elasticity of substitution between imports and domestic
*output in domestic demand.
*SIGMAT is the elasticity of transformation for domestic marketed output
*between exports and domestic supplies.

SET
 TRDELAS  trade elasticities
 /
 SIGMAQ  Armington elasticity
 SIGMAT  CET elasticity
 /

TABLE TRADELAS(AC,TRDELAS)  Armington and CET elasticities by commodity
                SIGMAQ      SIGMAT
   CAGRI         1.60        3.0
   CMINE         0.85        3.0
   CCONG         3.09        3.0
   COTHL         2.39        3.0
   CPCHM         1.53        3.0
   CVTRR         3.34        3.0
   CMETL         1.01        3.0
   CCAPG         0.78        3.0
   CUTIL         0.50        3.0
   CCONS         0.50        3.0
   CRTHT         0.50        3.0
   CTPCM         1.14        3.0
   CFBSS         0.50        3.0
   COTHS         0.50        3.0
   CGOVS         0.50        3.0
;

*Production elasticities-------------------------------------------------------

PARAMETER
       PRODELAS(A)   Elas of substit bt. factors - bottom of technology nest
       PRODELAS2(A)  Elas of substit bt. agg fac & intermed - top of tech nest
;

*Source: IDC GE Model

TABLE ELASPAR(A,*)       Elasticity parameters for production nests
               PRODELAS    PRODELAS2
AAGRI            0.50        0.60
AMINE            0.15        0.60
ACONG            0.28        0.60
AOTHL            0.34        0.60
APCHM            0.48        0.60
AVTRR            0.29        0.60
AMETL            0.32        0.60
ACAPG            0.42        0.60
AUTIL            0.50        0.60
ACONS            0.50        0.60
ARTHT            0.50        0.60
ATPCM            0.50        0.60
AFBSS            0.50        0.60
AOTHS            0.50        0.60
AGOVS            0.50        0.60

;

PRODELAS(A)  = ELASPAR(A,'PRODELAS');
PRODELAS2(A) = ELASPAR(A,'PRODELAS2');

PARAMETER ELASAC(C) output aggregation elasticity for commodity C;
ELASAC(C)    = 6;

*Household population data-----------------------------------------------------

*Note: population data are not needed to run the model.
*However, they may be useful for verification of household
*model parameters and for report parameters.


PARAMETER
*Source: ASSA Model (for total population)
*Source: Leibrant et al (2000) (for income decile distribution)
*Total is 44014910

 POP(H) Base-year population for household h (units)
 /
  HPOOR        35211927
  HRICH         8802983

 /

*Household consumption elasticities--------------------------------------------
*Note: The Frisch parameter is included in this section.

*Source: Case (2000)
TABLE LESELAS1(C,H)   Exp'e elasticity of market dem for com c by hhd h
        HPOOR    HRICH
CAGRI    0.66    0.73
CMINE    0.78    0.73
CCONG    0.85    0.77
COTHL    1.11    0.94
CPCHM    0.77    0.73
CVTRR    1.13    1.00
CMETL    0.98    0.99
CCAPG    1.16    0.95
CUTIL    0.98    0.65
CCONS    1.61    1.10
CRTHT    1.48    0.99
CTPCM    1.36    0.98
CFBSS    1.48    1.22
COTHS    1.23    1.17
CGOVS    1.46    1.50
;

PARAMETERS
*Source: assumed
 FRISCH(H)        Frisch parameter for household LES demand
 /
  HPOOR  2
  HRICH  1
/

 LESELAS2(A,C,H)  Exp'e elasticity of home dem by com - act - hhd
;

LESELAS2(A,C,H)     = 0;

*==============================================================================
*
*4.             PHYSICAL FACTOR QUANTITIES
*
*==============================================================================

$ontext

!!: If you have data on physical factor DEMANDS, add them in this
section. If so, there is no need to include supply quantities --
the model code in the core model will not use the supply information.

If data are provided for SUPPLY quantities (but not for demand), the
model code in STDMOD.GMS will define disaggregated activity demand
quantities for each factor as:
(total factor supply) TIMES (activity share in total activity payments to
the factor).
This amounts to assuming that, for each factor, wages are uniform across
activities. The data on factor payments are from the SAM.

If you don't have any data on physical factor quantities, leave this
section blank.

$offtext

*Source: Thurlow's calculations Supporting Data.xls Sheets Capital and Employ3
*using Quantech and SASID data (incl. informal sector as per Quantech)

PARAMETER  QFSBASE(F) total physical factor supplies
*Updated to 2003 by DENvS using SASID, Apr05

/
*update July 2006
   CAP        2567992.2
   LABLS      3536657
   LABSK      4839994

/;

QFSBASE(F) = QFSBASE(F)/1000;

TABLE  QFBASETMP(A,F)  quantities of labour supplied by activity and skill
         LABLS       LABSK       CAP
AAGRI    770397      60403      95609
AMINE    343701      84942     205712
ACONG    202057     101406      42447
AOTHL    185743     119575      28880
APCHM     49017      60111     148900
AVTRR     63233      53979      24195
AMETL    133681      76009      80583
ACAPG    104953     100501      14592
AUTIL     16178      28126     153638
ACONS    256180      86467      15246
ARTHT    263477    1021738     130995
ATPCM     59216     146473     441442
AFBSS    142068    1030427     582993
AOTHS    796007     582460      43196
AGOVS    150749    1287377     557486

;

PARAMETER  QFBASE(F,A)    demand for factor F by activity A in data;
   QFBASE(F,A)    = QFBASETMP(A,F);
   QFBASE(F,A)    = QFBASE(F,A)/1000 ;
   QFSBASE(FLAB)  = SUM(A, QFBASE(FLAB,A));
   QFSBASE('CAP') = SUM(A, QFBASE('CAP',A)) ;


*==============================================================================
*
*5.        COMMODITY VALUE SHARES FOR HOME CONSUMPTION
*
*==============================================================================

PARAMETER
 shrhome(A,C,H) value share for comm'y c in home cons of hhd h from act a;

shrhome(A,C,H) = 0;

$ontext

!!-User input is needed only if the SAM includes household home
consumption, reflected in payments from households to activities, and
if these activities produce multiple outputs.

If this condition is met, the user should define the parameter SHRHOME,
using extraneous data on commodity value shares which, for each
household-activity combination, should sum to unity.

In the absence of user input, the program will compute these value
shares in the file STDMOD.GMS, using the OUTPUT value shares for
each commodity. (For single-output activities, the computed shares
will quite correctly be at unity.)

Note that elasticities are needed for the parameter LESELAS2(A,C,H)
(above in the elasticity section) for the identified combinations

$offtext

PARAMETER
 shrhome(A,C,H) value share for comm'y c in home cons of hhd h from act a
 ;

*!!: If needed, manually define shrhome.
 shrhome(A,C,H) = 0;


*==============================================================================
*
*6.           INITIALIZATION OF TAX DATA
*
*==============================================================================
$ontext

!!: In this section, the user HAS TO supply the names of the tax accounts
in the SAM into the definition of TAXPAR. In STDMOD.GMS, TAXPAR is used
for model calibration. A proper definition of TAXPAR is necessary for
the functioning of the model if the SAM includes taxes.

$offtext

SET
 TX  taxes in the model
 /
 INSTAX         direct taxes on domestic institutions
 FACTAX         direct factor taxes
 IMPTAX         import taxes
 EXPTAX         export taxes
 VATAX          value-added taxes
 ACTTAX         taxes on activity revenue
 COMTAX         taxes on commodity sales in domestic market
 /
;

PARAMETER
 TAXPAR(TX,AC)   payment by account ac to tax account tx
 ;

ALIAS(TX,TXP);

*!!: Starting from here, the user should supply names of matching tax
*accounts in the SAM on the right-hand side.

*direct taxes on domestic institutions
 TAXPAR('INSTAX',INSD)  = SAM('INSTAX',INSD);

*direct factor taxes
 TAXPAR('FACTAX',F)     = 0;

*import taxes
 TAXPAR('IMPTAX',C)     = SAM('IMPTAX',C);

*export taxes
 TAXPAR('EXPTAX',C)     = 0;

*value-added taxes
 TAXPAR('VATAX',A)      = 0 ;

*taxes on activity revenue
 TAXPAR('ACTTAX',A)     = SAM('ACTTAX',A);

*taxes on commodity sales in domestic market
 TAXPAR('COMTAX',C)     = SAM('COMTAX',C);

*#########################   E N D   O F   F I L E   ##########################